# Uses of Interface
org.eclipse.help.IIndexEntry

Packages that use IIndexEntry
Package
Description
org.eclipse.help
Provides core help system for the platform.
org.eclipse.help.base
Support for help system extension points.

## Uses of IIndexEntry in org.eclipse.help

Subinterfaces of IIndexEntry in org.eclipse.help
Modifier and Type
Interface
Description
`interface`
`IIndexEntry2`
IIndexEntry2 is an index entry which may have see elements as children
Methods in org.eclipse.help that return IIndexEntry
Modifier and Type
Method
Description
`IIndexEntry[]`
IIndex.`getEntries()`
Obtains the index entries contained in the index.
`IIndexEntry[]`
IIndexEntry.`getSubentries()`
Obtains the index subentries contained in the entry.

## Uses of IIndexEntry in org.eclipse.help.base

Methods in org.eclipse.help.base with parameters of type IIndexEntry
Modifier and Type
Method
Description
`abstract boolean`
AbstractHelpScope.`inScope(IIndexEntry entry)`
Determine whether an index entry is in scope